package com.izouma.awesomeadmin.service.impl;

import java.util.*;
import org.apache.log4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.izouma.awesomeadmin.constant.AppConstant;
import com.izouma.awesomeadmin.dto.Page;
import com.izouma.awesomeadmin.model.Testgit;
import com.izouma.awesomeadmin.service.TestgitService;
import com.izouma.awesomeadmin.dao.TestgitMapper;

/**
*  service接口实现类
*/
@Service
public class TestgitServiceImpl implements TestgitService{

    private static Logger logger = Logger.getLogger(TestgitServiceImpl.class);

    @Autowired
    private TestgitMapper testgitMapper;

    @Override
    public List<Testgit> getTestgitList(Testgit record) {

        logger.info("getTestgitList");
        try {

        return testgitMapper.queryAllTestgit(record);
        } catch (Exception e) {
        logger.error("getTestgitList", e);
        }

        return null;
    }
    @Override
    public List<Testgit> getTestgitByPage(Page page, Testgit record) {

        logger.info("getTestgitByPage");
        try {

        Map<String, Object> parameter = new HashMap<String, Object>();
        parameter.put("record", record);
        parameter.put(AppConstant.PAGE, page);

        return testgitMapper.queryTestgitByPage(parameter);
        } catch (Exception e) {
        logger.error("getTestgitByPage", e);
        }

        return null;
    }

    @Override
    public Testgit getTestgitById(String id) {

        logger.info("getTestgityId");
        try {

            return testgitMapper.selectByPrimaryKey(Integer.valueOf(id));
        } catch (Exception e) {
        logger.error("getTestgitById", e);
        }

        return null;
    }

    @Override
    public Testgit getTestgit(Testgit record) {

        logger.info("getTestgit");
        try {

            return testgitMapper.queryTestgit(record);
        } catch (Exception e) {
        logger.error("getTestgit", e);
        }

        return null;
    }

    @Override
    public boolean createTestgit(Testgit record) {

        logger.info("createTestgit");
        try {

            int updates = testgitMapper.insertSelective(record);

            if (updates > 0) {
                 return true;
            }
        } catch (Exception e) {
            logger.error("createTestgit", e);
        }

        return false;
    }

    @Override
    public boolean deleteTestgit(String id) {

        logger.info("deleteTestgit");
        try {

             int updates = testgitMapper.delete(id);

            if (updates > 0) {
                 return true;
            }
        } catch (Exception e) {
             logger.error("deleteTestgit", e);
        }

        return false;
    }

    @Override
    public boolean updateTestgit(Testgit record) {

        logger.info("updateTestgit");
        try {

            int updates = testgitMapper.updateByPrimaryKeySelective(record);

            if (updates > 0) {
                 return true;
            }
        } catch (Exception e) {
             logger.error("updateTestgit", e);
        }

        return false;
    }
}

